> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get form

> Get an active review form definition for rendering in your app. Only review forms with status ACTIVE and not soft-deleted are returned.



## OpenAPI

````yaml GET /review-forms/{id}
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /review-forms/{id}:
    get:
      description: >-
        Get an active review form definition for rendering in your app. Only
        review forms with status ACTIVE and not soft-deleted are returned.
      parameters:
        - in: path
          name: id
          description: The form unique identifier
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ReviewForm'
              examples:
                ratingForm:
                  value:
                    data:
                      id: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                      name: Post trip rating
                      description: Post-trip satisfaction survey
                      type: RATING
                      status: ACTIVE
                      fields:
                        - name: score
                          label: Rating
                          type: SCORE
                          required: true
                          min: 1
                          max: 5
                          options: []
                          images:
                            - url: https://cdn.example.com/rating.jpg
                              alt: Rating reference
                      settings: {}
        '404':
          description: Form not found or inactive
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ReviewForm:
      type: object
      required:
        - id
        - name
        - type
        - status
        - fields
        - settings
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/FormType'
        status:
          $ref: '#/components/schemas/FormStatus'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/FormField'
        settings:
          type: object
          additionalProperties: true
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
    FormType:
      type: string
      enum:
        - RATING
        - COMMENT
        - THREAD
        - CUSTOM
    FormStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
    FormField:
      type: object
      required:
        - name
        - label
        - type
        - required
      properties:
        name:
          type: string
          description: API key used in answers
          example: score
        label:
          type: string
          example: Rating
        type:
          $ref: '#/components/schemas/FormFieldType'
        required:
          type: boolean
        options:
          type: array
          items:
            $ref: '#/components/schemas/FormFieldOption'
        images:
          type: array
          maxItems: 5
          items:
            $ref: '#/components/schemas/FormFieldImage'
        min:
          type: integer
          example: 1
        max:
          type: integer
          example: 5
    FormFieldType:
      type: string
      enum:
        - SCORE
        - TEXT
        - SELECT
        - MULTI_SELECT
    FormFieldOption:
      type: object
      required:
        - label
        - value
      properties:
        label:
          type: string
          example: Wait time
        value:
          type: string
          example: wait_time
    FormFieldImage:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: uri
          description: Public URL from the account multimedia library
        alt:
          type: string
          nullable: true
          example: Store front
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````